Bug 796357 - Lenovo Thinkpad E525 Laptop is unable to wake from suspend / hibernate
Lenovo Thinkpad E525 Laptop is unable to wake from suspend / hibernate
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-22 13:11 EST by W Agtail
Modified: 2012-11-14 15:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 15:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description W Agtail 2012-02-22 13:11:49 EST
Description of problem:
I am able to suspend and hibernate my Laptop OK. On attempting to wake, I end up with a black screen.

Waking from suspend I am able to ssh into the laptop from another system. Laptop screen remains black.

Waking from hibernate, grub menu appears, I am able to ssh into the laptop from another system. Laptop screen flickers for a short while, then ends up with a black screen with the mouse pointer which can be moved around.

Version-Release number of selected component (if applicable):
APU is a 4 core: AMD A6-3400M APU with Radeon(tm) HD Graphics
Desktop is Gnome3
kernel is: 3.2.6-3.fc16.x86_64
All latest updates applied.
I have 4GB RAM and ~5.5GB swap.

How reproducible:
Always.

Steps to Reproduce:
1. power on
2. login to Gnome3 desktop as root.
3. attempt suspend or hibernate.
  
Actual results:
As described above.

Expected results:
Wake from either suspend or hibernate with a working desktop,

Additional info:
I'm not sure what else you require atm

Kind Regards.
Comment 1 Josh Boyer 2012-03-28 14:03:00 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.
Comment 2 W Agtail 2012-04-07 10:40:52 EDT
Hi
Thank you for taking the time and trouble in looking at this issue.
After applying all updates with kernel: 3.3.0-8.fc16.x86_64 I still have the same issue:

suspend:
suspends OK. On resume, screen remains blank.

hibernate:
hibernates OK, On resume, screen remains blank apart from the day, time & username being displayed on the top of the screen (gnome 3 top panel area).

ssh connections resume OK after either a suspend or hibernate.

happy Easter and kind regards.
Comment 3 W Agtail 2012-04-07 11:09:55 EDT
Hi
Just noticed another set of updates with kernel: 3.3.1-2.fc16.x86_64
Still the same issue as mentioned above in 'Comment 2'.
Regards.
Comment 4 Dave Jones 2012-10-23 11:41:24 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 Justin M. Forbes 2012-11-14 15:28:48 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.